Loading...
Searching...
No Matches
XrdCl::ArgBase< T >::FutureValue Struct Reference

A helper class for holding future value. More...

`#include <XrdClArg.hh>`

Inheritance diagram for XrdCl::ArgBase< T >::FutureValue:
Collaboration diagram for XrdCl::ArgBase< T >::FutureValue:

## Public Member Functions

| FutureValue (std::future< T > &&ftr)
T & | Get ()
Public Member Functions inherited from XrdCl::ArgBase< T >::ValueHolder
virtual | ~ValueHolder ()
| Virtual Destructor (important ;-).

## Detailed Description

template<typename T>
struct XrdCl::ArgBase< T >::FutureValue

A helper class for holding future value.

Definition at line 162 of file XrdClArg.hh.

## Constructor & Destructor Documentation

## FutureValue()

template<typename T>

XrdCl::ArgBase< T >::FutureValue::FutureValue | ( | std::future< T > && | ftr | ) |

inline

Constructor

Parameters

  ftr | : the future value to be hold by us

Definition at line 169 of file XrdClArg.hh.

: ftr( std::move( ftr ) )
{
}
XrdCl::ArgBase
Base class for Arg.
Definition XrdClArg.hh:45

## Member Function Documentation

## Get()

template<typename T>

T & XrdCl::ArgBase< T >::FutureValue::Get | ( |  | ) |

inline virtual

Returns
  : the value

Implements XrdCl::ArgBase< T >::ValueHolder.

Definition at line 176 of file XrdClArg.hh.

{
if( val ) return *val;
val = ftr.get();
return *val;
}

The documentation for this struct was generated from the following file:

- XrdClArg.hh